import request from '@/utils/request'

// 公共下拉选数据 - 获取人员所属
export function getInspectionStationSelectAPI(data) {
    return request({
        url: '/personnel/getInspectionStationSelect',
        method: 'GET',
        params: data,
    })
}

// 公共下拉选数据 - 获取人员性质、人员分类、岗位
export function getPersonNatureAndCategoryAndPositionSelectAPI(data) {
    return request({
        url: '/personnel/getPersonnelClassificationSelect',
        method: 'GET',
        params: data,
    })
}

// 公共下拉选数据 - 获取工作量类别
// export function getWorkloadCategorySelectAPI(data) {
//     return request({
//         url: '/workloadCategory/getWorkloadCategorySelect',
//         method: 'GET',
//         params: data,
//     })
// }

// 公共下拉选数据 - 获取人员列表
export function getPersonnelCommonListAPI(data) {
    return request({
        url: '/personnel/getPersonnelListSelect',
        method: 'GET',
        params: data,
    })
}
